const fallbackIntent = require('./fallbackIntent');

class FallbackResolver {
  constructor() {}

  static fallbackWithDefaultIntent(intents) {
    const intent = intents.find(item => {
      if (item && item.intent && item.intent === fallbackIntent.normal.intent) {
        const fallback = {};
        fallback.intent = fallbackIntent.normal.intent;
        fallback.dialog = item.dialog;
        return item;
      }
    });
    return intent;
  }
}

module.exports = FallbackResolver;
