const fallbackIntent = require('./fallbackIntent');

module.exports = (companyId, consecutiveAttemptsCount = 0) => {
  let defaultIntent;

  switch (consecutiveAttemptsCount) {
    case 2:
      defaultIntent = fallbackIntent.segunda_tentativa;
      break;
    case 3:
      defaultIntent = fallbackIntent.terceira_tentativa;
      break;
    default:
      defaultIntent = fallbackIntent.normal;
  }

  return {
    intent: defaultIntent.intent,
    dialog: companyId + defaultIntent.dialogSuffix,
    resolver: 'FALLBACK',
  };
};
